<template>
	<view class="container bg-ff color-11">
<!--		<cu-custom bgColor="bg-white" >-->
<!--			<block slot="backText"></block>-->
<!--			<block slot="content">{{title}}</block>-->
<!--		</cu-custom>-->
    <view class="cu-bar fixed padding flex align-center" :style="[{height:CustomBar + 'rpx'}]" style="background-color: #EDEDED ;">
      <view class="action" @tap="backPage" >
        <text class="cuIcon-close" style="color: #666666;"></text>
      </view>
      <view class="content" style="font-weight: bold;">
        {{title}}
      </view>
      <view  class="cuIcon-more" style="font-size: 40rpx;">
      </view>
    </view>
    <view style="margin-top: 50px">
      <view  v-html="rawHtml"> </view>
    </view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
        rawHtml:'',
				title: "隐私协议"
			};
		},
		onLoad(option) {
      var that = this;
      if(option.type == 1){
        this.title = "隐私协议"
        let params = {
          id: '10003',
        };
        this.$u.api.getTreatyInfo(params).then(res => {
          if (res.code === 200) {
            that.rawHtml = res.data.content
            that.title = res.data.memo
          }
        });
			}
		},
    methods:{
      backPage(){
        uni.redirectTo({
          url: './indexChoice'
        });
      },
    },
	}
</script>

<style lang="scss">
iframe  {
	border: none;
}
	.container {
		line-height: 24px;
		min-height: 100vh;
	}
	.main {
		border-top: 2rpx solid #eeeeee;
		padding: 0 80rpx;
	}
	.centen_top {
		width: 400rpx;
		height: 500rpx;
		margin-top: 174rpx;
		margin-bottom: 154rpx;
	}
</style>
